org.apache.cassandra.exceptions

## Class CassandraException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.exceptions.CassandraException

All Implemented Interfaces:
  java.io.Serializable, TransportException

Direct Known Subclasses:
  RequestExecutionException, RequestValidationException

    public abstract class CassandraException
    extends java.lang.RuntimeException
    implements TransportException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `CassandraException(ExceptionCode code, java.lang.String msg)`
`protected` `CassandraException(ExceptionCode code, java.lang.String msg, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ExceptionCode` `code()` The exception code.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.exceptions.TransportException

`getMessage`

### Constructor Detail

#### CassandraException

    protected CassandraException(ExceptionCode code,
                                 java.lang.String msg)

#### CassandraException

    protected CassandraException(ExceptionCode code,
                                 java.lang.String msg,
                                 java.lang.Throwable cause)

### Method Detail

#### code

    public ExceptionCode code()

Description copied from interface: `TransportException`
The exception code.

Specified by:
  `code` in interface `TransportException`